package com.jjkj.quarz.mapper;


import com.jjkj.quarz.domain.TaskScheduleEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaskScheduleMapper {

    public List<TaskScheduleEntity> getScheduleByJobStatus(Integer jobStatus);


    List<TaskScheduleEntity> findALLSchedule();

    TaskScheduleEntity findTaskJobById(@Param("jobId") String jobId);

    Integer updateTaskJob(TaskScheduleEntity sysJob);

    Integer deleteTask(String jobId);
}
