package com.jjkj.video.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;


/**
 * 检测视频对象 data_result_video
 * 
 * @author 南
 * @date 2024-01-22
 */
@TableName("data_result_video")
@Data
public class DataResultVideo
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 检验机构编号 */
    private String jyjgbh;

    /** 检验流水号 */
    private String lsh;

    /** 号牌号码 */
    private String hphm;

    /** 号牌种类 */
    private String hpzl;

    /** 检验次数 */
    private String jycs;

    /** 检测线代号 */
    private String jcxdh;

    /** 检验项目 */
    private String jyxm;

    /** 视频编号 */
    private String spbh;

    /** 视频名称 */
    private String spmc;

    /** IP */
    private String ip;

    /** 端口号 */
    private String port;

    /** 用户名 */
    private String name;

    /** 密码 */
    private String password;

    /** 通道号 */
    private String channel;

    /** 开始时间 */
    private String kssj;

    /** 结束时间 */
    private String jssj;

    /** 绝对路径 */
    @TableField(value = "abs_path")
    private String absPath;

    /** 相对路径 */
    @TableField(value = "rel_path")
    private String relPath;

    /** 下载标识 */
    @TableField(value = "download_flag")
    private String downloadFlag;

    /** 文件大小 */
    private String filesize;



}
