<%@ page language="java" import="java.util.*" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt_rt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + path + "/";
%>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>车辆详细信息</title>
    <script src="<%=path %>/js/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap-paginator.js" type="text/javascript"></script>
    <link href="<%=path %>/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="<%=path %>/css/bootstrap-datetimepicker.min.css" rel="stylesheet" media="screen">
    <link href="<%=path %>/css/bootstrapv3.min.css" rel="stylesheet" type="text/css"/>
    <style type="text/css">
        #rgjytdForm {
            width: 450px;
        }

        #rgjytdForm label {
            width: 80px;
        }


    </style>
</head>
<body style="overflow-y: hidden">
<div style="width: 1200px;height:700px;" class="portlet-body">
    <form  class="form-horizontal">

                <div class="form-group">
                    <label class="col-sm-1 control-label" for="cljcrlsh">车辆检测日流水号：<font size="2"
                                                                                   ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="cljcrlsh" type="text" name="cljcrlsh" value="${jbxx.cljcrlsh}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="gbbb">国际版本：<font size="2"
                                                                                  ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="gbbb" type="text" name="gbbb" value="${jbxx.gbbb}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="jyjgbh">检验机构编号：<font size="2"
                                                                                  ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="jyjgbh" type="text" name="jyjgbh" value="${jbxx.jyjgbh}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="jcxbh">检测线编号：<font size="2"
                                                                                       ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="jcxbh" type="text" name="jcxbh" value="${jbxx.jcxbh}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="obd">OBD：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="obd" type="text" name="obd" value="${jbxx.obd}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="jclx">检测类型：<font size="2"
                                                                                   ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="jclx" type="text" name="jclx" value="${jbxx.jclx}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="jcff">检测方法：<font size="2"
                                                                                 ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="jcff" type="text" name="jcff" value="${jbxx.jcff}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="jccs">检测次数：<font size="2"
                                                                                 ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="jccs" type="text" name="jccs" value="${jbxx.jccs}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="jckssj">检测开始时间：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="jckssj" type="text" name="jckssj" value="${jbxx.jckssj}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="jcjssj">检测结束时间：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="jcjssj" type="text" name="jcjssj" value="${jbxx.jcjssj}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="zzpdjg">最终结果判定：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="zzpdjg" type="text" name="zzpdjg" value="${jbxx.zzpdjg}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="hphm">号牌号码：<font size="2"
                                                                                   ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="hphm" type="text" name="hphm" value="${jbxx.hphm}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="hpzl">号牌种类：<font size="2"
                                                                                   ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="hpzl" type="text" name="hpzl" value="${jbxx.hpzl}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="cpys">车牌颜色：<font size="2"
                                                                                   ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="cpys" type="text" name="cpys" value="${jbxx.cpys}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="cjh">车架号：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="cjh" type="text" name="cjh" value="${jbxx.cjh}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="cllx">车辆类型：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="cllx" type="text" name="cllx" value="${jbxx.cllx}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="syxz">使用性质：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="syxz" type="text" name="syxz" value="${jbxx.syxz}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="ccdjrq">初次登记日期：<font size="2"
                                                                             ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="ccdjrq" type="text" name="ccdjrq" value="${jbxx.ccdjrq}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="zzrq">制造日期：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="zzrq" type="text" name="zzrq" value="${jbxx.zzrq}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="clxh">车辆型号：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="clxh" type="text" name="clxh" value="${jbxx.clxh}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="pfbz">排放标准：<font size="2"
                                                                                   ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="pfbz" type="text" name="pfbz" value="${jbxx.pfbz}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="rlzl">燃料种类：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="rlzl" type="text" name="rlzl" value="${jbxx.rlzl}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="bsxxs">变速箱形式：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="bsxxs" type="text" name="bsxxs" value="${jbxx.bsxxs}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="ed">发动机排量：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="ed" type="text" name="ed" value="${jbxx.ed}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="qdfs">驱动方式：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="qdfs" type="text" name="qdfs" value="${jbxx.qdfs}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="lcbds">里程表读数：<font size="2"
                                                                                 ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="lcbds" type="text" name="lcbds" value="${jbxx.lcbds}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="fdjbh">发动机编号：<font size="2"
                                                                              ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="fdjbh" type="text" name="fdjbh" value="${jbxx.fdjbh}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label" for="czdh">车主电话：<font size="2"
                                                                               ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="czdh" type="text" name="czdh" value="${jbxx.czdh}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="czxm">车主姓名：<font size="2"
                                                                                 ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="czxm" type="text" name="czxm" value="${jbxx.czxm}"/>
                    </div>
                    <label class="col-sm-1 control-label" for="clccrq">车辆出厂日期：<font size="2"
                                                                                 ></font></label>
                    <div class="col-sm-3">
                        <input class="form-control" id="clccrq" type="text" name="clccrq" value="${jbxx.clccrq}"/>
                    </div>
                </div>

    </form>
</div>
<div style="position:absolute;right:0;bottom:0;">
    <input type="button" value="关闭" class="btn btn-success btn-md" onclick="closeForm()"/>
</div>
</body>
<script type="text/javascript">

    function closeForm() {
        parent.closeSecModal();
    }

</script>
</body>
</html>
