<%@ page language="java" import="java.util.*" pageEncoding="utf-8" isELIgnored="false" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt_rt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<c:set var="ctx" value="${pageContext.request.contextPath}"/>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + path + "/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=gb2312"/>
    <meta http-equiv="X-UA-Compatible" content="IE=8">
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="pragma" content="no-cache">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="0">


    <link rel="stylesheet" type="text/css"
          href="<%=path%>/css/sweetalert.css">
    <script type="text/javascript"
            src="<%=path%>/js/sweetalert-dev.js"></script>


    <script src="<%=path %>/js/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap-paginator.js" type="text/javascript"></script>
    <link href="<%=path %>/css/bootstrap-datetimepicker.min.css" rel="stylesheet" media="screen">
    <link href="<%=path %>/css/bootstrapv3.min.css" rel="stylesheet" type="text/css"/>
    <style type="text/css" rel="stylesheet">
        .content {
            height: 730px;
            padding: 25px 20px 20px 20px;
            background-color: #fff;
        }


    </style>

</head>

<body>

<div class="page-container">
    <!-- BEGIN PAGE -->
    <div class="content">
        <%--模态框--%>
        <div class="modal fade" id="secordModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
             data-backdrop="static"
             aria-hidden="true">
            <div class="modal-dialog" style="width:600px;height: 400px;">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                        <h4 class="modal-title" id="mySecModalTitle"><!-- 模态框标题部分 --></h4>
                    </div>
                    <div class="modal-body" id="mySecModalBody">
                    </div>
                </div>
            </div>
        </div>
        <!-- BEGIN PAGE HEADER-->
        <div class="row" style="transform:translateY(-40px);">
            <div class="col-md-12">
                <!-- BEGIN PAGE TITLE & BREADCRUMB-->
                <h3 class="page-title">
                    定时任务 <small>定时任务列表</small>
                </h3>

            </div>
            <%--            <a class="btn btn-warning btn-sm" style="float: right;margin-right: 40px; margin-bottom: 10px">--%>
            <%--                <span onclick="logout()">退出系统</span>--%>
            <%--            </a>--%>
            <%--            <a class="btn btn-success btn-sm" style="float: right;margin-right: 40px;margin-bottom: 10px">--%>
            <%--                <span onclick="getBack()"> 返回首页</span>--%>
            <%--            </a>--%>

        </div>


        <div class="row" style="transform: translateY(-45px);">
            <div class="col-md-12">
                <div>

                    <div class="portlet-body">
                        <table class="table  table-bordered table-hover table-full-width">
                            <thead>
                            <tr style="background:#428bca;color:#fff;height: 5px;">
                                <th style="text-align: center">任务名称</th>
                                <th style="text-align: center">运行周期</th>
                                <th style="text-align: center">运行状态</th>
                                <th style="text-align: center">创建时间</th>
                                <th style="text-align: center">修改时间</th>
                                <th style="text-align: center">操作</th>
                                <c:forEach var="task" items="${page.list }" varStatus="s">
                            <tr>
                                <td align="center">${task.remark}</td>
                                <td>${task.cronExpression}</td>
                                <td align="center">
                                    <c:if test="${task.jobStatus == 1}">
                                        <p style="color: forestgreen">正在运行....</p>
                                    </c:if>
                                    <c:if test="${task.jobStatus == 0}"><p style="color:red">停止运行....</p></c:if>
                                </td>
                                <td align="center"><fmt:formatDate value="${task.createTime }"
                                                                   pattern="yyyy-MM-dd HH:mm:ss"/></td>
                                <td align="center"><fmt:formatDate value="${task.updateTime }"
                                                                   pattern="yyyy-MM-dd HH:mm:ss"/></td>
                                <td style="text-align: center;">

                                    <button type="button" class="btn btn-success" id="startTask"
                                            onclick="openTask('${task.jobId}',${task.jobStatus})">
                                        <c:if test="${task.jobStatus == '0'}">启用</c:if>
                                        <c:if test="${task.jobStatus == '1'}">停止</c:if>
                                    </button>

                                    <button type="button" class="btn btn-info" onclick="editTask('${task.jobId}')">修改
                                    </button>
                                    <button type="button" class="btn btn-info" onclick="manualTask('${task.jobId}')">执行
                                    </button>
                                        <%--                                    <button type="button" class="btn btn-warning" onclick="deleteTask('${task.jobId}')">--%>
                                        <%--                                        删除--%>
                                        <%--                                    </button>--%>
                                </td>

                            </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- END EXAMPLE TABLE PORTLET-->
            </div>
            <div style="text-align: center;height: 50px;margin-top: -15px;">
                <ul id="paging"></ul>
                <div style="float:right;color:#0d638f;margin-right: 15px;"><span
                        style="font-size:15px;">第${page.pageNum }页&nbsp;&nbsp;共${page.pages}页 &nbsp;&nbsp;共${page.total}条数据</span>
                </div>
            </div>
        </div>
        <!-- END PAGE CONTENT-->
    </div>
    <!-- END PAGE -->
</div>
<script>
    $(function () {
        var box = $("#oneCheck input:checkbox");
        var num = 0;
        box.click(function () {
            if (this.checked || this.checked == 'checked') {
                box.removeAttr("checked");
                $(this).prop("checked", true);
            }
        });

        paging();


        //统计下载视频数量
        countDownloadJcsp();


    });

    function countDownloadJcsp() {
        $.ajax({
            url: '/taskSchedule/countJcsp',
            type: 'post',
            data: {},
            success: function (data) {
                data = JSON.stringify(data)
                // alert(data.todayNum)

            }
        })

    }

    //分页触发函数
    function paging() {
        $('#paging').bootstrapPaginator({
            currentPage: ${page.pageNum},
            totalPages: ${page.pages},
            size: "normal",
            bootstrapMajorVersion: 3,
            alignment: "right",
            numberOfPages: 5,
            shouldShowPage: true,
            itemTexts: function (type, page, current) {
                switch (type) {
                    case "first":
                        return "首页";
                    case "prev":
                        return "上一页";
                    case "next":
                        return "下一页";
                    case "last":
                        return "末页";
                    case "page":
                        return page;
                }
            },
            //点击事件
            onPageClicked: function (event, originalEvent, type, page) {

                location.href = "/taskSchedule/taskList?pageNum=" + page;


            },
        });
    }

    /*_________________________________修改任务_______________________________*/
    function editTask(id) {
        //调用模态框打开用户详情页面，也可以修改
        var title = "";
        var url = "/taskSchedule/editTask/" + id;
        var width = "100%";
        var height = "400px";
        parent.openSecModal(title, url, width, height);

    };

    /*_________________________________删除任务_______________________________*/
    function deleteTask(id) {


        swal({
                title: "是否删除该定时任务？",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "确定",
                confirmButtonColor: "#DD6B55",
                cancelButtonText: "取消",
                /* html: true,*/
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    $.ajax({
                        url: "/taskSchedule/delete/" + id,
                        type: "post",
                        data: {},
                        success: function (data) {
                            data = JSON.stringify(data)
                            console.log(data)
                            if (data == 1) {
                                swal("删除成功")
                                location.href = "<%=request.getContextPath() %>/taskSchedule/taskList";

                            }
                        }

                    })
                }


            });


    }

    /**************************************启用关闭任务************************************************/
    function openTask(id, status) {
        if (status == '1') {

            status = "0";
        } else {
            status = "1"
        }
        $.ajax({
            url: "/taskSchedule/changesStatus/" + id + "/" + status,
            type: 'post',
            data: {},
            success: function (data) {
                if (data = true) {
                    if (status == '0') {
                        alert("任务已停止")
                    } else {
                        alert("任务已启动")

                    }
                    location.href = "<%=request.getContextPath() %>/taskSchedule/taskList";

                }


            }


        })


    }

    /***********************************手动执行定时任务************************************/
    function manualTask(id) {
        swal({
                title: "是否立即执行此任务？",
                type: "success",
                showCancelButton: true,
                confirmButtonText: "确定",
                confirmButtonColor: "#5599FF",
                cancelButtonText: "取消",
                /* html: true,*/
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    $.ajax({
                        url: "/taskSchedule/manualTask/" + id,
                        type: 'post',
                        data: {},
                        success: function (data) {

                            if (data = true) {

                                // alert("手动执行任务成功。")
                                location.href = "<%=request.getContextPath() %>/taskSchedule/taskList";

                            }


                        }


                    })
                }
            })
    }

    function openSecModal(title, url, width, height) {
        //设置标题
        $("#mySecModalTitle").html(title);
        //设置主体
        var iframe = "<iframe width='" + width + "' height='" + height + "'  src=' " + url + " ' style='border: 0px;' ></iframe>";
        $("#mySecModalBody").html(iframe);
        $("#secordModal").modal({
            keyboard: true
        });
    }

    function logout() {
        var msg = "是否退出自治区上传系统?";
        if (confirm(msg) == true) {
            $.ajax({
                url: "<%=request.getContextPath()%>/loginController/logout",
                type: "post",
                data: {},
                success: function (data) {
                    if (data.code == "1") {
                        location.href = "<%=request.getContextPath()%>/loginController/login";
                    }
                }
            })
        }


    }

    function getBack() {
        location.href = "<%=request.getContextPath()%>/jjkjUploadController/list"
    }

    //关闭模态框方法
    function closeSecModal() {
        $("#secordModal").modal('hide');
        location.href = "<%=request.getContextPath() %>/taskSchedule/taskList";
    }

</script>
</body>
