package com.jjkj.quarz;


import com.jjkj.quarz.thread.ThreadSequenceService;
import com.jjkj.video.service.IDataResultVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Component;

/**
 * ngw
 */
@Component("downloadVideo")
@EnableScheduling
public class TaskJob {
    @Autowired
    private ThreadSequenceService threadSequenceService;
    //
    @Autowired
    private IDataResultVideoService iDataResultVideoService;

    /**
     * 每五分钟执行一次下载视频任务
     * 方法名必须和数据库方法名一致
     */

    public void downloadJcsp(String params) {

        iDataResultVideoService.downloadJcsp(params);
    }


}
