package com.jjkj.quarz.config;

import java.util.concurrent.ScheduledFuture;

/**
 * ScheduledFuture的包装类
 */
public final class TaskScheduled {
    volatile ScheduledFuture<?> future;

    /**
     * 取消定时任务
     */
    public void cancel() {
        ScheduledFuture<?> future = this.future;
        if (future != null) {
            future.cancel(true);
        }

    }
}
