package com.jjkj.quarz.task;

import com.jjkj.quarz.domain.TaskScheduleEntity;
import com.jjkj.quarz.mapper.TaskScheduleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class TaskScheduleServiceImpl implements TaskScheduleService {
    @Autowired
    private TaskScheduleMapper scheduleSettingMapper;
    @Override
    public List<TaskScheduleEntity> getScheduleByJobStatus(Integer jobStatus) {
        return scheduleSettingMapper.getScheduleByJobStatus(jobStatus);
    }

    @Override
    public List<TaskScheduleEntity> findALLSchedule() {
        return scheduleSettingMapper.findALLSchedule();
    }

    @Override
    public TaskScheduleEntity findTaskJobById(String jobId) {
        return scheduleSettingMapper.findTaskJobById(jobId);
    }

    @Override
    public Integer updateTaskJob(TaskScheduleEntity sysJob) {
        return scheduleSettingMapper.updateTaskJob(sysJob);
    }

    @Override
    public Integer deleteTask(String jobId) {
        return scheduleSettingMapper.deleteTask(jobId);
    }
}
