package com.jjkj.quarz.thread;


import cn.hutool.core.date.DateUtil;


import com.jjkj.video.service.IDataResultVideoService;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

@Service
@Transactional
public class ThreadSequenceServiceImpl implements ThreadSequenceService {
    Logger logger = Logger.getLogger(ThreadSequenceServiceImpl.class);
    @Autowired
    private IDataResultVideoService iDataResultVideoService;

    @Override
    public String downloadJcsp(String params) {
        logger.info("下载检测视频开始:" + DateUtil.format(new Date(), "yyyy-MM-dd HH:mm:ss"));
        new Thread(new Runnable() {
            @Override
            public void run() {
                //调用上传基本信息接口
                iDataResultVideoService.downloadJcsp(params);

            }
        }).start();
        return null;
    }


}
