<%@ page language="java" import="java.util.*" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt_rt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + path + "/";
%>
<!DOCTYPE html>
<head>
    <meta charset="utf-8"/>
    <title>车辆基本信息</title>
    <!-- 清除浏览器缓存 -->
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="pragma" content="no-cache">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <script src="<%=path %>/js/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap-paginator.js" type="text/javascript"></script>
    <link href="<%=path %>/css/bootstrap-datetimepicker.min.css" rel="stylesheet" media="screen">
    <link href="<%=path %>/css/bootstrapv3.min.css" rel="stylesheet" type="text/css"/>

</head>
<style>
    tbody {
        cursor: pointer;
    }
</style>
<body style="overflow-y: hidden">
<div class="page-container">
    <div class="content">
        <%--模态框--%>
        <div class="modal fade" id="secordModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
             data-backdrop="static"
             aria-hidden="true">
            <div class="modal-dialog" style="width:1300px;">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                        <h4 class="modal-title" id="mySecModalTitle"><!-- 模态框标题部分 --></h4>
                    </div>
                    <div class="modal-body" id="mySecModalBody">
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <h2 class="page-title" style="font-family: 宋体">
                    克州环保机动车检测信息 <small>(双击补传自治区)</small>
                </h2>

            </div>

        </div>
        <div class="row">
            <div class="col-md-12">
                <div>
                    <div style="padding-top:5px;padding-left:2px;">
                        <form action="" role="form" class="form-inline">
                            检验机构编号：
                            <input id="jyjgbh" type="text" class="form-control input-sm" style="width: 100px;"
                                    value="${jyjgbh}"/>&nbsp;&nbsp;
                            检测流水号：
                            <input id="cljcrlsh" type="text" class="form-control input-sm" style="width: 180px;"
                                  value="${cljcrlsh}"/>&nbsp;&nbsp;
                            检测次数：
                            <input id="jccs" type="text" class="form-control input-sm" style="width: 50px;"
                                    value="${jccs}"/>&nbsp;&nbsp;
                            号牌号码：
                            <input id="hphm" type="text" class="form-control input-sm" style="width: 100px;"
                                   value="${hphm}"/>&nbsp;&nbsp;
                            上传状态：
                            <input id="sczt" type="text" class="form-control input-sm" style="width: 60px;"
                                   value="${sczt}"/>&nbsp;&nbsp;
                            <input id="cjh" type="text" class="form-control input-sm" style="width: 180px;display: none"
                                   value="${cjh}" />&nbsp;&nbsp;
                            <a class="btn btn-success btn-sm">
                                <span onclick="search()">查询</span>
                            </a>
                            <a class="btn btn-success btn-sm">
                                <span onclick="refresh()">刷新</span>
                            </a>
                            <a class="btn btn-info btn-sm">
                                <span onclick="searchResult()">上传记录</span>
                            </a>

                            <a class="btn btn-warning btn-sm" style="float: right;margin-right: 40px;">
                                <span onclick="logout()">退出系统</span>
                            </a>
                            <a class="btn btn-info btn-sm" style="float: right;margin-right: 20px;">
                                <span onclick="timeTask()">定时任务</span>
                            </a>
                        </form>
                    </div>
                    <br>
                    <div class="portlet-body">
                        <table class="table  table-bordered table-hover table-full-width">
                            <thead>
                            <tr style="background:#428bca;color:#fff;height: 5px;">
                                <th style="text-align: center">序号</th>
                                <th style="text-align: center">检验机构编号</th>
                                <th style="text-align: center">车辆检测日流水号</th>
                                <th style="text-align: center">检测次数</th>
                                <th style="text-align: center">号牌号码</th>
                                <th style="text-align: center">号牌种类</th>
                                <th style="text-align: center">车架号</th>
                                <th style="text-align: center">车辆类型</th>
                                <th style="text-align: center">检测开始时间</th>
                                <th style="text-align: center">上传状态</th>
                                <th style="text-align: center">操作</th>
                            </tr>
                            </thead>
                            <tbody id="uploadData">
                            <c:if test="${page.list.size() != 0}">
                                <c:forEach var="cljbxx" items="${page.list}" varStatus="s">
                                    <tr class="clxx" id="cljbxx${cljbxx.cljcrlsh}"
                                        <c:if test="${cljbxx.sczt == 2}">bgcolor="#FFB6C1" </c:if>
                                            <c:if test="${cljbxx.sczt == 0}">bgcolor="#FFB6C1"</c:if>
                                        <c:if test="${cljbxx.sczt == 3}">bgcolor="#FFB6C1"</c:if>>

                                        <td>${s.count}</td>
                                        <td>${cljbxx.jyjgbh}</td>
                                        <td>${cljbxx.cljcrlsh}</td>
                                        <td>${cljbxx.jccs}</td>
                                        <td>${cljbxx.hphm}</td>
                                        <td>${cljbxx.hpzl}</td>
                                        <td>${cljbxx.cjh}</td>
                                        <td>${cljbxx.cllx}</td>
                                        <td>${cljbxx.jckssj}</td>
                                        <td><c:if test="${cljbxx.sczt == 1}">上传成功</c:if>
                                            <c:if test="${cljbxx.sczt == 2}">上传失败</c:if>
                                            <c:if test="${cljbxx.sczt == 0}">等待上传</c:if>
                                            <c:if test="${cljbxx.sczt == 3}">上传数据不完整</c:if>
                                        </td>
                                        <td style="width: 130px;">
                                            <a class="btn btn-success btn-sm">
                                                <span onclick="restock('${cljbxx.jyjgbh}','${cljbxx.cljcrlsh}','${cljbxx.jccs}')">补传</span>
                                            </a>
                                            <a class="btn btn-success btn-sm">
                                                <span onclick="detail('${cljbxx.jyjgbh}','${cljbxx.cljcrlsh}','${cljbxx.jccs}','${cljbxx.hphm}','${cljbxx.hpzl}')">详情</span>
                                            </a>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </c:if>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div style="text-align: center">
            <ul id="paging"></ul>
            <div style="float:right;color:#0d638f;">
                <span style="font-size:15px;">第${page.pageNum }页&nbsp;&nbsp;共${page.pages}页 &nbsp;&nbsp;共${page.total}条数据</span>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">

    //查询
    function search() {
        var jyjgbh = $("#jyjgbh").val().trim();
        var cljcrlsh = $("#cljcrlsh").val().trim();
        var jccs = $("#jccs").val().trim();
        var hphm = $("#hphm").val().trim();
        var cjh = $("#cjh").val().trim();
        var sczt = $("#sczt").val().trim();
        location.href = "<%=request.getContextPath()%>/jjkjUploadController/list?jyjgbh=" + jyjgbh
            + "&cljcrlsh=" + cljcrlsh + "&jccs=" + jccs + "&hphm=" + hphm + "&cjh=" + cjh+ "&sczt=" + sczt;
    }

    //补传
    function restock(jyjgbh, cljcrlsh, jccs) {
        $.ajax({
            url: "<%=request.getContextPath()%>/jjkjUploadController/add",
            type: "get",
            data: {
                jyjgbh: jyjgbh,
                cljcrlsh: cljcrlsh,
                jccs: jccs
            },
            dataType: "json",
            success: function (data) {
                if (data) {
                    alert("上传队列添加成功！");
                } else {
                    alert("已有数据！");
                }
            }
        });
    }

    $(function () {
        $('#paging').bootstrapPaginator({
            currentPage: ${page.pageNum},
            totalPages: ${page.pages},
            size: "normal",
            bootstrapMajorVersion: 3,
            alignment: "right",
            numberOfPages: 5,
            shouldShowPage: true,
            itemTexts: function (type, page, current) {
                switch (type) {
                    case "first":
                        return "首页";
                    case "prev":
                        return "上一页";
                    case "next":
                        return "下一页";
                    case "last":
                        return "末页";
                    case "page":
                        return page;
                }
            },
            //点击事件
            onPageClicked: function (event, originalEvent, type, page) {
                var jyjgbh = $("#jyjgbh").val().trim();
                var cljcrlsh = $("#cljcrlsh").val().trim();
                var jccs = $("#jccs").val().trim();
                var hphm = $("#hphm").val().trim();
                var cjh = $("#cjh").val().trim();
                var sczt = $("#sczt").val().trim();
                location.href = "<%=request.getContextPath()%>/jjkjUploadController/list?pageNum=" + page + "&jyjgbh=" + jyjgbh
                    + "&cljcrlsh=" + cljcrlsh + "&jccs=" + jccs + "&hphm=" + hphm + "&cjh=" + cjh + "&sczt=" + sczt;
            }
        });
    });

    function openSecModal(title, url, width, height) {
        //设置标题
        $("#mySecModalTitle").html(title);
        //设置主体
        var iframe = "<iframe width='" + width + "' height='" + height + "'  src=' " + url + " ' style='border: 0px;' ></iframe>";
        $("#mySecModalBody").html(iframe);
        $("#secordModal").modal({
            keyboard: true
        });
    }

    //关闭模态框方法
    function closeSecModal() {
        $("#secordModal").modal('hide');
        <%--location.href = "<%=request.getContextPath()%>/jjkjUploadController/list";--%>
    }

    $(document).on("dblclick", ".clxx", function () {
        var dataArr = this.childNodes;
        var jyjgbh = dataArr[3].innerHTML;
        var cljcrlsh = dataArr[5].innerHTML;
        var jccs = dataArr[7].innerHTML;
        var hphm = dataArr[9].innerHTML;
        var hpzl = dataArr[11].innerHTML;
        var title = "";
        var url = "<%=request.getContextPath()%>/jjkjUploadController/waitUpload?jyjgbh=" + jyjgbh + "&cljcrlsh=" + cljcrlsh
            + "&jccs=" + jccs + "&hphm=" + hphm + "&hpzl=" + hpzl;
        var width = "100%";
        var height = "700px";
        parent.openSecModal(title, url, width, height);
    });

/*
    $(document).on("click", ".clxx", function () {
        $("#uploadData .clxx").css('background', '#FFFFFF');
        $(this).css('background', '#33CCFF');
    });
*/

    function detail(jyjgbh, cljcrlsh, jccs, hphm, hpzl) {
        var title = "";
        var url = "<%=request.getContextPath()%>/jjkjUploadController/vehicleDetails?jyjgbh=" + jyjgbh + "&cljcrlsh=" + cljcrlsh
            + "&jccs=" + jccs + "&hphm=" + hphm + "&hpzl=" + hpzl;
        var width = "100%";
        var height = "700px";
        parent.openSecModal(title, url, width, height);
    }

    function searchResult() {
        location.href = "<%=request.getContextPath()%>/scjgController/list";
    }
   function timeTask(){
       location.href = "<%=request.getContextPath()%>/taskScheduleController/taskList";
   }
   function refresh(){
       location.href = "<%=request.getContextPath()%>/jjkjUploadController/list";
   }
    function logout() {
        var msg = "是否退出自治区上传系统?";
        if (confirm(msg) == true) {
            $.ajax({
                url: "<%=request.getContextPath()%>/loginController/logout",
                type: "post",
                data: {},
                success: function (data) {
                    if (data.code == "1") {
                        location.href = "<%=request.getContextPath()%>/loginController/login";
                    }
                }
            })
        }

    }
</script>
</body>
<!-- END BODY -->
</html>