<%@ page language="java" import="java.util.*" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt_rt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + path + "/";
%>
<!DOCTYPE html>
<head>
    <meta charset="utf-8"/>
    <title>自治区上传结果</title>
    <!-- 清除浏览器缓存 -->
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="pragma" content="no-cache">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <script src="<%=path %>/js/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap-paginator.js" type="text/javascript"></script>
    <link href="<%=path %>/css/bootstrap-datetimepicker.min.css" rel="stylesheet" media="screen">
    <link href="<%=path %>/css/bootstrapv3.min.css" rel="stylesheet" type="text/css"/>
    <style>
        .content {
            height: 730px;
            padding: 25px 20px 20px 20px;
            background-color: #fff;
        }

        .center {
            text-align: center;
        }

        tbody {
            cursor: pointer;
        }
    </style>
</head>
<body>
<div class="page-container">
    <div class="content">
        <div class="row" style="transform:translateY(-40px);">
            <div class="col-md-12">
                <h3 class="page-title">
                    <small>自治区上传结果信息</small>
                </h3>
                号牌号码：<input type="text" id="hphm" value="${hphm}" style="height: 35px;width: 100px">
                检验次数：<input type="text" id="jccs" value="${jccs}" style="height: 35px;width: 60px;"  class="input-group-sm">
                检验流水号：<input type="text" id="cljcrlsh" value="${cljcrlsh}" style="height: 35px;">&nbsp; &nbsp;
                接口ID：<input type="text" id="jkid" value="${jkid}" style="height: 35px;width: 80px">&nbsp; &nbsp;
                上传状态：<input type="text" id="sczt" value="${sczt}" style="height: 35px;width: 60px">&nbsp; &nbsp;
                <button style="width: 90px; height: 35px;margin-bottom: 10px" class="btn-info" onclick="search()">查询
                </button>

                <a class="btn btn-warning btn-sm" style="float: right;margin-right: 40px;">
                    <span onclick="logout()">退出系统</span>
                </a>
                <a class="btn btn-success btn-sm" style="float: right;margin-right: 40px;">
                    <span onclick="getBack()"> 返回首页</span>
                </a>
            </div>
        </div>
        <div class="row" style="transform: translateY(-45px);">
            <div class="col-md-12">

                <div>
                    <div class="portlet-body">
                        <table class="table table-bordered table-hover">
                            <thead>
                            <tr style="background:#428bca;color:#fff;height: 5px;">
                                <th class="center">检验机构编号</th>
                                <th class="center">检验流水号</th>
                                <th class="center">接口ID</th>
                                <th class="center">号牌号码</th>
                                <th class="center">号牌种类</th>
                                <th class="center">检测次数</th>
                                <th class="center">车架号</th>
                                <th class="center">上传地址</th>
                                <th class="center">上传状态</th>
                                <th class="center">上传时间</th>
                                <th class="center">上传结果</th>
                            </tr>
                            </thead>
                            <tbody id="uploadData">
                            <c:forEach var="res" items="${page.list}" varStatus="s">
                                <tr class="upload" <c:if test="${res.sczt ==2 }">bgcolor="#FFB6C1"</c:if>>
                                    <td>${res.jyjgbh}</td>
                                    <td>${res.cljcrlsh}</td>
                                    <td>${res.jkid}</td>
                                    <td>${res.hphm}</td>
                                    <td>${res.hpzl}</td>
                                    <td>${res.jccs}</td>
                                    <td>${res.vin}</td>
                                    <td>${res.url}</td>
                                    <td><c:if test="${res.sczt ==1 }">上传成功</c:if>
                                        <c:if test="${res.sczt ==2 }">上传失败</c:if>
                                        <c:if test="${res.sczt ==0 }">等待上传</c:if></td>
                                    <td>${res.scsj}</td>
                                    <td>${res.result}</td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div style="text-align: center;margin-top: -50px;">
            <ul id="paging"></ul>
            <div style="float:right;color:#0d638f;">
                <span style="font-size:15px;">第${page.pageNum }页&nbsp;&nbsp;共${page.pages}页 &nbsp;&nbsp;共${page.total}条数据</span>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    function getBack() {
        location.href = "<%=request.getContextPath()%>/jjkjUploadController/list"
    }

    $(function () {
        $('#paging').bootstrapPaginator({
            currentPage: ${page.pageNum},
            totalPages: ${page.pages},
            size: "normal",
            bootstrapMajorVersion: 3,
            alignment: "right",
            numberOfPages: 5,
            shouldShowPage: true,
            itemTexts: function (type, page, current) {
                switch (type) {
                    case "first":
                        return "首页";
                    case "prev":
                        return "上一页";
                    case "next":
                        return "下一页";
                    case "last":
                        return "末页";
                    case "page":
                        return page;
                }
            },
            //点击事件
            onPageClicked: function (event, originalEvent, type, page) {
                var cljcrlsh = $("#cljcrlsh").val().trim();
                var jccs = $("#jccs").val().trim();
                var hphm = $("#hphm").val().trim();
                var jkid = $("#jkid").val().trim();
                var sczt = $("#sczt").val().trim();
                location.href = "<%=request.getContextPath()%>/scjgController/list?pageNum=" + page
                    + "&cljcrlsh=" + cljcrlsh + "&jccs=" + jccs + "&hphm=" + hphm + "&jkid=" + jkid + "&sczt=" + sczt;
            }
        });
    });

    function search() {
        var cljcrlsh = $("#cljcrlsh").val().trim();
        var jccs = $("#jccs").val().trim();
        var hphm = $("#hphm").val().trim();
        var jkid = $("#jkid").val().trim();
        var sczt = $("#sczt").val().trim();
        location.href = "<%=request.getContextPath()%>/scjgController/list?cljcrlsh=" + cljcrlsh + "&jccs=" + jccs
            + "&hphm=" + hphm+ "&jkid=" + jkid + "&sczt=" + sczt;
    }

    function logout() {
        var msg = "是否退出自治区上传系统?";
        if (confirm(msg) == true) {
            $.ajax({
                url: "<%=request.getContextPath()%>/loginController/logout",
                type: "post",
                data: {},
                success: function (data) {
                    if (data.code == "1") {
                        location.href = "<%=request.getContextPath()%>/loginController/login";
                    }
                }
            })
        }


    }

    $(document).on("click", ".upload", function () {
        $("#uploadData .upload").css('background', '#FFFFFF');
        $(this).css('background', '#33CCFF');
    });

</script>
</body>
</html>