<%@ page language="java" import="java.util.*" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt_rt" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + path + "/";
%>
<!DOCTYPE html>
<head>
    <meta charset="utf-8"/>
    <title>定时任务设置</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">

    <script src="<%=path %>/js/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="<%=path %>/js/bootstrap-paginator.js"></script>
    <link href="<%=path %>/css/bootstrapv3.min.css" rel="stylesheet" type="text/css"/>
</head>
<style>
    .cen {
        text-align: center;
        background-color: #ecebeb;
    }
</style>
<body>
<div style="width: 100%;height: 280px;">
    <form id="dictConfigForm">
        <h2 style="text-align: center;margin: 0px 0px;">定时任务编辑</h2>
        <div style="width: 490px;height: 300px;margin-top: 5px;">

            <table class="table table-bordered">
                <tr>
                    <td hidden="hidden">${taskSchedule.jobId}</td>
                    <td class="cen"><p style="margin:  6px 0px 0px 0px;">定时任务名称:</p></td>
                    <td><input id="remark" type="text" class="form-control input-sm" style="width: 200px;"
                               value="${taskSchedule.remark}"/>
                    </td>
                </tr>
                <tr>
                    <td class="cen"><p style="margin:  6px 0px 0px 0px;">设置运行周期:</p></td>
                    <td><input id="cronExpression" type="text" class="form-control input-sm" style="width: 200px;"
                               value="${taskSchedule.cronExpression}"/></td>
                </tr>
                <tr>
                    <td class="cen"><p style="margin:  6px 0px 0px 0px;">设置上传时间:</p></td>
                    <td><input id="day" type="text" class="form-control input-sm" style="width: 200px;"
                               value="${day}"/></td>
                </tr>
                <tr>
                    <td class="cen"><p style="margin:  6px 0px 0px 0px;">每次下载车辆:</p></td>
                    <td><input id="number" type="text" class="form-control input-sm" style="width: 200px;"
                               value="${number}"/></td>
                </tr>

                <tr>
                    <td class="cen"><p style="margin:  6px 0px 0px 0px;">当前运行状态:</p></td>
                    <td>

                        <select id="jobStatus" name="jobStatus"
                                type="text" class="form-control input-sm" style="width: 200px;">
                            <option value="1" <c:if test="${taskSchedule.jobStatus == '1'}">selected='selected'</c:if>>
                                启用
                            </option>
                            <option value="0" <c:if test="${taskSchedule.jobStatus == '0'}">selected='selected'</c:if>>
                                停止
                            </option>
                        </select>

                    </td>

                </tr>

            </table>

        </div>


        <div style="height: 50px;margin: 0 auto;margin-top: 10px;">
            <div style="margin-left: 170px;float: left;">
                <a class="btn btn-danger btn-sm" onclick="shut()">
                    <span class="glyphicon glyphicon-remove-sign"></span>关闭
                </a>
            </div>
            <div style="margin-left: 40px;float: left;">
                <a class="btn btn-success btn-sm" onclick="update('${taskSchedule.jobId}')">
                    <span class="glyphicon glyphicon-ok-sign"></span>提交
                </a>
            </div>
        </div>
    </form>
</div>

<script type="text/javascript">
    function update(id) {
        var remark = $("#remark").val();
        var status = $("#jobStatus option:selected").val();
        var cronExpression = $("#cronExpression").val();
        var day = $("#day").val();
        var number = $("#number").val();
        $.ajax({
            url: "/taskSchedule/update",
            type: "post",
            data: {
                jobId: id,
                remark: remark,
                cronExpression: cronExpression,
                jobStatus: status,
                day:day,
                number:number
            },
            success: function (data) {
                data = JSON.stringify(data)
                console.log(data)
                if (data == 1) {
                    alert("修改成功")
                    parent.closeSecModal();
                    // 更新列表
                    parent.openSecModal("<%=request.getContextPath() %>/taskSchedule/taskList");

                }
            }

        })
    }


    function shut() {
        //关闭模态框
        parent.closeSecModal();
    }


</script>
</body>
</html>